----------------------------------------------------------------------------------
--
--	Data multiplexer for fast 65C02 with local RAM.
--	juergen@e-basteln.de
--
--	jm 17.4.2020	original version, some dummy address models
--
----------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity datamux is
	port (
		sel_ext_i	: in		std_logic;
		int_d_i		: in		std_logic_vector (7 downto 0);
		ext_d_i		: in		std_logic_vector (7 downto 0);
		d_o			: out		std_logic_vector (7 downto 0)
	);
end datamux;

architecture Behavioral of datamux is

begin
	d_o <= ext_d_i when (sel_ext_i = '1') else int_d_i;
end Behavioral;

